/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 1/1/2003
 * Description : implementation of class d_c_r
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include"dcr.h"

d_c_r::d_c_r(QString path)
{
    QString s;
    fd.setFileName(path);
    if ( fd.open(QIODevice::ReadOnly) )
    {
        t= new QTextStream( &fd );
        while ( !t->atEnd() )
        {
            s = t->readLine();
            list_f.push_back(s);
            if ( !t->atEnd() )
            {
                s = t->readLine();
                list_s.push_back(s);
            }
        }
        error=0;
        for (int i=0;i<list_f.size();check.push_back(0),i++);
    }
    else
        error=-1;

    giusto="";
    srand(time(0));
}

d_c_r::~d_c_r()
{
    fd.close();
}

// return possible solutions and question

void d_c_r::frase(QString *risposte,QString &frase)
{
    QString s,dum;
    int i,j;

    //random number [0,4]
    i=1+(int) (4.0*rand()/(RAND_MAX));
    //random number [0,n_frasi]
    j=(int) (((double)list_f.size())*rand()/(RAND_MAX));


    if (check[j]!=0)
    {
        check[j]=0;
        j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
    }
    check[j]=1;
    // read frase
    frase=list_f[j];

    // read solution
    s = list_s[j];

    risposte[0]=s.section(',',0,0);
    risposte[1]=s.section(',',1,1);
    risposte[2]=s.section(',',2,2);
    risposte[3]=s.section(',',3,3);
    risposte[4]=s.section(',',4,4);
    // swap the right solution (0) with i-esima
    dum=risposte[0];
    risposte[0]=risposte[i];
    risposte[i]=dum;
    //the right solution
    giusto=dum;

}

// return the right solution

QString d_c_r::esatto()
{
    return giusto;
}

int d_c_r::errore()
{
    return error;
}

