/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 16/03/2003
 * Description : Difficolta' ortografiche implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include "dialogaltre.h"
#include "ui_altre.h"
#include "dialoggame.h"

DialogAltre::DialogAltre(QWidget *parent)
        : QDialog(parent), ui(new Ui::DialogAltre)
{
    ui->setupUi(this);
}

void DialogAltre::chi_ci()
{
    DialogGame game;
    game.openGame("chi_ci", _automatico);
}

void DialogAltre::che_ce()
{
    DialogGame game;
    game.openGame("che_ce", _automatico);
}

void DialogAltre::ca_cia()
{

    DialogGame game;
    game.openGame("ca_cia", _automatico);
}

void DialogAltre::co_cio()
{
    DialogGame game;
    game.openGame("co_cio", _automatico);
}

void DialogAltre::cu_ciu()
{
    DialogGame game;
    game.openGame("cu_ciu", _automatico);
}

void DialogAltre::chi_ghi()
{
    DialogGame game;
    game.openGame("chi_ci", _automatico);
}

void DialogAltre::che_ghe()
{
    DialogGame game;
    game.openGame("che_ghe", _automatico);
}

void DialogAltre::c_q()
{
    DialogGame game;
    game.openGame("c_q", _automatico);
}

void DialogAltre::q_cq()
{
    DialogGame game;
    game.openGame("q_cq", _automatico);
}

void DialogAltre::gn()
{
    DialogGame game;
    game.openGame("gn", _automatico);
}

void DialogAltre::gn_ni()
{
    DialogGame game;
    game.openGame("gn_ni", _automatico);
}

void DialogAltre::l_gl()
{
    DialogGame game;
    game.openGame("l_gl", _automatico);
}

void DialogAltre::sc_s()
{
    DialogGame game;
    game.openGame("sc_s", _automatico);
}

void DialogAltre::sce_scie()
{
    DialogGame game;
    game.openGame("sce_scie", _automatico);
}

void DialogAltre::ce_cie()
{
    DialogGame game;
    game.openGame("ce_cie", _automatico);
}

void DialogAltre::ge_gie()
{
    DialogGame game;
    game.openGame("ge_gie", _automatico);
}

void DialogAltre::openAltre(bool automatico)
{
    _automatico = automatico;
    this->exec();
}


DialogAltre::~DialogAltre()
{

}
