/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 03/12/2009
 * Description : Result table description
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include <QWidget>
#include <QGroupBox>
#include "ui_ResultTable.h"

#include "ResultTable.h"
using namespace Ui;

ResultTable::ResultTable(QWidget *parent) /*: Ui_ResultBox(), QGroupBox()*/
{
  setupUi(this);
  QPalette palette;

  palette.setColor(LCD_Wrong->foregroundRole(), QColor( 170, 0, 0 ));
  LCD_Wrong->setPalette(palette);
  LCD_Wrong->setSegmentStyle( QLCDNumber::Filled );

  palette.setColor(LCD_Correct->foregroundRole(), QColor( 0, 170, 0 ));
  LCD_Correct->setPalette(palette);
  LCD_Correct->setSegmentStyle( QLCDNumber::Filled );

  palette.setColor(CorrectLabel->foregroundRole(), QColor( 0, 85, 0 ));
  CorrectLabel->setPalette(palette);

  palette.setColor(WrongLabel->foregroundRole(), QColor( 170, 0, 0 ));
  WrongLabel->setPalette(palette);
}

ResultTable::~ResultTable()
{

}



