/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Lessico implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef ACCOPPIAMENTI_H
#define ACCOPPIAMENTI_H

#include<qfile.h>
#include<qtextstream.h>
#include<qstring.h>
#include<stdlib.h>
#include<qvector.h>
#include<time.h>
// accoppiamenti

class accoppiamenti
{
    QFile fd;
    QTextStream *t;
    QVector<QString> list_f, list_s;
    QVector<int> check;
    int error, n_coppie;
  public:
    accoppiamenti ( QString path, int n );
    ~accoppiamenti();
    void frase ( QString *a, QString *b );
    int esatto ( QString a, QString b );
    int errore();
};

#endif // ACCOPPIAMENTI_H
