#include "ZString.h"
//#include <QDebug)>

ZString::ZString(QString txt): QString(txt)
{
	
}

ZString::ZString(): QString()
{
	
}


Z ZString::toZ(bool &ok)
{
	bool numerator = true;
	QString numeratorString = "";
	QString denominatorString = "";
	//bool okn, okd;

	Z *result;

	ok = true;

	for(int i = 0; i < length(); i++)
	{

		if((at(i) >= '0' && at(i) <= '9') || at(i) == '.' || (at(i) == '-' && i == 0) || (at(i) == '-' && at(i-1) == '/'))
		{
			if(numerator)
				numeratorString += at(i);
			else
				denominatorString += at(i);
		}
		else if(at(i) == '/' && numeratorString.length() > 0)
			numerator = false;
		else
		{
			ok = false;
			numeratorString = "1";
			denominatorString = "1";
		}
	}
	if(denominatorString.length() == 0)
		denominatorString = "1";
		
         //// qDebug()() << "numeratorString " << numeratorString << " denominatorString " << denominatorString <<"\n";
	result = new Z(numeratorString.toDouble(), denominatorString.toDouble());
	return *result;
}



ZString& ZString::operator = (QString a)
{
	clear();
	append(a);
	return *this;
}


ZString& ZString::operator = (ZString a)
{
	clear();
	append(a);
	return *this;
}

/*
int main()
{
	ZString a("7/-3");
	Z z;
	bool ok;
        // qDebug()() << "ZS " << a << "\n";

	z = a.toZ(ok);

	if(ok)
                // qDebug()() << "Z " << (z.toString()).c_str() << "\n";
	else
                // qDebug()() << "ERRORE";

	a = "pippo";
        // qDebug()() << "PROVA = " << a << "\n";

	return 0;
}
*/

