#include "loadlist.h"
#include <QtDebug>
#include <QFile>
#include <QDir>
//#include <QFile>

LoadList::LoadList( QWidget *parent): QDialog(parent)
{
	
     //list << "a" << "b" << "c";
	setupUi(this);
	
	model = new QStringListModel(this);
	model->setStringList(list);
	listView->setViewMode(QListView::ListMode);
	listView->setEditTriggers(QAbstractItemView::NoEditTriggers);
	//listView->setModelColumn(100);
	listView->setModel(model);
	connect(listView,SIGNAL(clicked ( const QModelIndex &  )), this, SLOT(clickItem(const QModelIndex &)));
}

QString LoadList::getElement()
{
	exercise = "";
	#if defined(Q_OS_WIN)
	
	QFile file(QDir::homePath() + "\\" + "exercise");
	
	#else
		QFile file("/usr/local/expressions/exercise");
	#endif
	
	setWindowTitle(file.fileName());
	
	if (file.open(QIODevice::ReadOnly | QIODevice::Text))
	{
		
		char buff[1024];
		int len;
		while((len = file.readLine(buff, sizeof(buff))) > 0)
		{
			buff[len - 1] = '\0';
			list.append(buff);
		}
		model->setStringList(list);	
	}
	
	QDialog::exec();
	return exercise;
}

void LoadList::reject()
{
	exercise = "";
	QDialog::reject();
}

void LoadList::clickItem(const QModelIndex &item)
{
	exercise = (item.data()).toString();
}
