#include "newDialog.h"
#include "expression.h"

#include <QDebug>



NewDialog::NewDialog(QWidget *parent): QDialog(parent)
{
	setupUi(this);
        //dialogAlarm = new DialogAlarm(this);
}

void NewDialog::accept()
{
	Expression exp;

        if(lineEdit->text().size() > 0)
	{
                exp.setExpr(((lineEdit->text()).toStdString()).c_str());
                if (exp.isValid())
                {
                    expression = lineEdit->text();
                    valid = true;
                    QDialog::accept();
                }

 	}
 	else
 	{
            dialogAlarm = new DialogAlarm(this);
            dialogAlarm->setText("L'espressione inserita non e' corretta!!\n");
            dialogAlarm->exec();
            delete dialogAlarm;
	}
 		
}

void NewDialog::reject()
{
	expression = "";
	QDialog::reject();
}


QString NewDialog::getExpression(bool &ok)
{
        valid = false;
	QDialog::exec();
        ok = valid;

	return expression;
	
}

