/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 4/6/2003
 * Description : Uso H implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include "s_diff.h"
#include "usoh_version.h"
#include <QMessageBox>

s_diff::s_diff(QString part1, QString part2)
{

    QString s,path1,path2;
    path1=QString(DATA_DIR) + "/" + part1 + ".txt";
    path2=QString(DATA_DIR) + "/" + part2 + ".txt";
    fd.setFileName(path1);

    if ( fd.open(QIODevice::ReadOnly) )
    {
        t= new QTextStream( &fd );
        s = t->readLine();
        while ( !t->atEnd() )
        {
            s+="+"+part1;
            list_f.push_back(s);
            s = t->readLine();
        }
        fd.close();
        delete t;
        fd.setFileName(path2);
        if ( fd.open(QIODevice::ReadOnly) )
        {
            t= new QTextStream( &fd );
            s = t->readLine();

            while ( !t->atEnd() )
            {
                s+=+"+"+part2;
                list_f.push_back(s);
                s = t->readLine();
            }
            error=0;
            for (int i=0;i<(int)list_f.size();check.push_back(0),i++);
        }
        else
            error=-1;

    }
    else
        error=-1;


    srand(time(0));
}

s_diff::~s_diff()
{
  if (fd.isOpen())
    fd.close();
}

// return  question

QString s_diff::frase()
{
    int j;
    QString dum;

    //random number [0,n_frasi]
    j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
    if (check[j]!=0)
    {
        check[j]=0;
        j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
    }
    check[j]=1;
    // read frase

    pos_f=j;
    giusto=list_f[j].section("+",-1);
    dum=list_f[j].remove(list_f[j].indexOf("+"),list_f[j].length());
    list_f[j]+="+"+giusto;
    return(dum);

}


// return the right solution

QString s_diff::esatto()
{

    return(giusto);

}

int s_diff::errore()
{
    return error;
}

