/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 16/03/2003
 * Description : Difficolta' ortografiche implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include "dialogsimili.h"
#include "ui_simili.h"

#include "dialoggame.h"

DialogSimili::DialogSimili(QWidget *parent)
    : QDialog(parent), ui(new Ui::DialogSimili)
{
    ui->setupUi(this);
}



void DialogSimili::b_p()
{
    DialogGame game;
    game.openGame("b_p", _automatico);
}

void DialogSimili::d_t()
{
    DialogGame game;
    game.openGame("d_t", _automatico);
}

void DialogSimili::f_v()
{
    DialogGame game;
    game.openGame("f_v", _automatico);
}

void DialogSimili::l_r()
{
    DialogGame game;
    game.openGame("l_r", _automatico);
}

void DialogSimili::m_n()
{
    DialogGame game;
    game.openGame("m_n", _automatico);
}

void DialogSimili::s_z()
{
    DialogGame game;
    game.openGame("chi_ci", _automatico);
}

void DialogSimili::g_q()
{
    DialogGame game;
    game.openGame("q_g", _automatico);
}

void DialogSimili::g_cdolce()
{
    DialogGame game;
    game.openGame("c_gdolce", _automatico);
}

void DialogSimili::g_cduro()
{
    DialogGame game;
    game.openGame("c_gduro", _automatico);
}

void DialogSimili::ritorna()
{
    DialogGame game;
    game.openGame("ritorna", _automatico);
}

void DialogSimili::openSimili(bool automatico)
{
    _automatico = automatico;
    this->exec();
}

DialogSimili::~DialogSimili()
{
    delete ui;
}
