/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 16/03/2003
 * Description : Difficolta' ortografiche implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include"s_diff.h"

s_diff::s_diff(QString path)
{

	QString s;
  fd.setFileName(path);
  if ( fd.open(QIODevice::ReadOnly) )
  {
    t= new QTextStream( &fd );
    s = t->readLine();
  	while( !t->atEnd() )
	  {
      list_f.push_back(s);
      s = t->readLine();
    }
		error=0;
    for(int i=0;i<(int)list_f.size();check.push_back(0),i++);
	}
	else
		error=-1;

	
	srand(time(0));
}

s_diff::~s_diff()
{
	fd.close();
}

// return  question

QString s_diff::frase()
{
	int j;


  //random number [0,n_frasi]
  j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
  if(check[j]!=0)
  {
  	check[j]=0;
  	j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
  }
  check[j]=1;
  // read frase
  
  pos_f=j;
  return(list_f[j]);

}


// return the right solution

QString s_diff::esatto()
{
  
  return(list_f[pos_f].section(',',1,1));

}

int s_diff::errore()
{
	return error;
}

