/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Lessico implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef FORM1_H
#define FORM1_H

#include <QtGui/QDialog>

namespace Ui
{
    class Form1;
}

struct privateForm;
class QLineEdit;
class QDropEvent;

class Form1 : public QDialog
{
    Q_OBJECT

public:
    Form1(QWidget *parent = 0);
    ~Form1();

    void init();

private:
    Ui::Form1 *ui;
    privateForm *d;
    void blockButtonSignals(bool block=true);
 
protected Q_SLOTS:
    void abbina_c();
    void abbina_s();
    void gradi();
    void comprende();
    void sinonimi_c();
    void intrusa();
    void corretta();
    void lessico();
    void abbina_g();
    void esci();
    void info();
    void manage_dialog_end();


};

#endif // FORM1_H

