/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 20-8-2002
 * Description : Scegli Aggettivo implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef SCEGLIAGG_H
#define SCEGLIAGG_H

#include <qlabel.h>
#include <qvariant.h>
#include <QDialog>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLCDNumber;
class QLabel;
class QPushButton;
class parolaFrase;

#include "parola_frase.h"
#include "ui_scegliagg.h"


class ScegliAggettivoDialog : public QDialog, public Ui_Form1
{
    Q_OBJECT

  public:
    ScegliAggettivoDialog ( QWidget* parent = 0 );
    ~ScegliAggettivoDialog();

    int indovinati;

  public slots:
    virtual void init();
    virtual void avanti();
    virtual void info();
    virtual void esci();
    virtual void action_drop ( QLabel *a, QLabel *b );
    virtual void azzera();
  private:
    parolaFrase *coppie;
};


#endif // SCEGLIAGG_H
