/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 4/6/2003
 * Description : Uso H implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef S_DIFF_H
#define S_DIFF_H

#include<qfile.h>
#include<qtextstream.h>
#include<qstring.h>
#include<stdlib.h>
#include<QVector>
#include<time.h>


class s_diff
{
    QFile fd;
    int pos_f;
    QTextStream *t;
    QVector<QString> list_f;
    QVector<int> check;
    QString giusto;
    int error;
public:
    s_diff(QString part1,QString part2);
    ~s_diff();
    QString frase();
    QString esatto();
    int errore();
};

#endif // S_DIFF_H
